#ifndef KCOMMON_H
#define KCOMMON_H

#include <stdint.h>

void enable_interrupts();
void disable_interrupts();
uint32_t fetch_cr3();

void kpanic();

void liftoff(uint32_t entry_point, uint32_t user_stack) __attribute__((noreturn));

uint8_t inb(uint16_t port);
void outb(uint16_t port, uint8_t data);

#endif